## maamp 0.0.3-3

=== debian/changelog ===
maamp (0.0.3-3) stable; urgency=low

  2010-11-11 - First build

 -- Niels Simonsen <nesnomis@gmail.com>  Thu, 11 Nov 2010 09:23:57 +0000
